## ShellGtkEmbed

ShellGtkEmbed

## Synopsis

    struct              ShellGtkEmbed;
    struct              ShellGtkEmbedClass;
    ClutterActor *      shell_gtk_embed_new                 (ShellEmbeddedWindow *window);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----ClutterActor
                   +----ClutterClone
                         +----ShellGtkEmbed
                               +----ShellTrayIcon

## Implemented Interfaces

ShellGtkEmbed implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Properties

      "window"                   ShellEmbeddedWindow*  : Read / Write / Construct Only

## Description

## Details

### struct ShellGtkEmbed

    struct ShellGtkEmbed;

### struct ShellGtkEmbedClass

    struct ShellGtkEmbedClass {
        ClutterCloneClass parent_class;
    };

### shell_gtk_embed_new ()

    ClutterActor *      shell_gtk_embed_new                 (ShellEmbeddedWindow *window);

## Property Details

### The `"window"` property

      "window"                   ShellEmbeddedWindow*  : Read / Write / Construct Only

ShellEmbeddedWindow to embed.